Re: [gtk-list] ANNOUNCE: GTK+ and GLib 1.2.3 Released

>>>>> "Shawn" == Shawn T Amundson <> writes:

    Shawn> GTK+ and GLib 1.2.3 are now at:
    Shawn>  The 1.2.x series is a
    Shawn> stable series and is binary compatible within the series.
    Shawn> That means you can install this new version of GLib and
    Shawn> GTK+ and applications can use it without being recompiled
    Shawn> if they were already compiled against 1.2.0.

As it turns out, this is not quite true (the binary compatibility

I got a report that a program compiled against 1.2.2 would not run
if 1.2.0 was installed:

alexsh@hectic:~> glade
glade: error in loading shared libraries: /usr/lib/
undefined symbol: gtk_item_factory_add_foreign

I can't believe you guys broke binary compatibility within the 1.2
series! Shame and disgrace unto all of you.


Brought to you by the letters F and X and the number 19.
"Sculch is junk."
Debian GNU/Linux maintainer of Gimp and GTK+ --
I'm on FurryMUCK as Che, and EFNet/Open Projects IRC as Che_Fox.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]